Quassel IRC - Bug #966

/chanop and /nickop seems to get an extra character in input
05/17/2010 01:45 AM - rapidDazz

Status: Resolved Start date: 05/17/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:

Version: 0.6-pre 0S: Windows

Description
When messaging chanop or nickop directly (/chanop or /nickop), it appears that ":" is added to the beginning of the last word.

*/msg chanop topic #channelname It's cold =D And stuff!*
ChanOP has changed topic for #channelname to: "It's cold =D And stuff!"

*/chanop topic #channelname It's cold =D And stuff!*
ChanOP has changed topic for #channelname to: "It's cold =D And :stuff!"

*/topic*
Topic for #channelname is "It's cold =D And :stuff!"
Topic set by rapidDazz on Mon May 17 09:29:44 2010

*/topic It's cold =D And stuff!*
rapidDazz has changed topic for #channelname to: "It's cold =D And stuff!"

*/chanop topic #channelname the quick brown fox jumps over the lazy dog*
ChanOP has changed topic for #channelname to: "the quick brown fox jumps over the lazy :dog"

Causes issues primarily when using /nickop to identify yourself on the network, but as he doesn't repeat your password back to you,
using Chanop and topic was the quickest way to show this.

Linux: quasselcore-static-0.6.1
Windows 7: Client 0.6.1

History

#1 - 08/04/2010 09:41 PM - Anonymous

Confirmed on my end as well (workaround is to make an alias w/ the desired effect of the ircd's alias)

#2 - 06/14/2021 02:47 PM - phuzion

- Status changed from New to Resolved

| am unable to reproduce this issue on Fedora 34 Quassel 0.13.1, so it seems to have been fixed at some point in the past.
I'm going to close this issue, but if you continue to have this issue please feel free to reopen it.

[07:11:26] * Mode #phuziontest +nt by lego.jp.austnet.org

[07:11:26] * Channel #phuziontest created on 2021-06-14 11:11:25 UTC

[07:14:39] --> ChanOP (service@austnet.org) has joined #phuziontest

[07:14:39] Mode #phuziontest +0 ChanOP by ChanOP

[07:14:39] * ChanOP has changed topic for #phuziontest to: "For further information on ChanOP, visit https://www.austnet.org or /ChanOP help"
[07:14:39] ** Mode #phuziontest +Ir 50 by ChanOP

/chanop topic #phuziontest It's cold =D And stuff!

[07:15:09] * ChanOP has changed topic for #phuziontest to: "It's cold =D And stuff!"
